Class | Chef::Provider::Group::Pw
In: | lib/chef/provider/group/pw.rb
Parent: | Chef::Provider::Group

### Methods

create_group load_current_resource manage_group remove_group set_members_option set_options

### Public Instance methods

create_group()

Create the group

load_current_resource()
manage_group()

Manage the group when it already exists

remove_group()

Remove the group

set_members_option()

Set the membership option depending on the current resource states

set_options()

Little bit of magic as per Adam‘s useradd provider to pull and assign the command line flags

#### Returns

<string>: | A string containing the option and then the quoted value

[Validate]